package com.eactive.eai.rms.bat.manage.comm.server;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

@Repository("batServerDao")
@SuppressWarnings({ "deprecation", "unchecked" })
public class BatServerDao extends SqlMapClientTemplateDao {

	public int selectListCount(HashMap<String, Object> param) throws Exception {
    	return (Integer)template.queryForObject("BatServer.selectListCount", param);
    }	
	public List<Map<String, Object>> selectList(HashMap<String, Object> param) throws Exception {
    	return template.queryForList("BatServer.selectList", param);
    }	
	
    public HashMap<String, Object> selectDetail(HashMap<String, String> param) throws Exception {
    	return (HashMap<String, Object>)template.queryForObject("BatServer.selectDetail", param);
    }	

    public List<HashMap<String, Object>> getEaiServerIpPort(HashMap<String, String> param) throws Exception {
    	return template.queryForList("BatServer.getEaiServerIpPort", param);
    }	
    
    public void insert(HashMap<String, Object> paramMap) throws Exception{
        this.template.insert("BatServer.insert", paramMap);
    }      
    public void update(HashMap<String, Object> paramMap) throws Exception{
        this.template.update("BatServer.update", paramMap);
    }      
    public void delete(HashMap<String, Object> paramMap) throws Exception{
        this.template.delete("BatServer.delete", paramMap);
    }
}